package tech.nevets.vplus.items;

import net.minecraft.item.Item;
import net.minecraft.util.Identifier;
import net.minecraft.util.registry.Registry;
import tech.nevets.vplus.items.tools.*;

public class VPTools {

    public VPTools() {}

    static {
        register(VPMaterials.COPPER);
        register(VPMaterials.EMERALD);
        register(VPMaterials.SAPPHIRE);
        register(VPMaterials.RUBY);
        register(VPMaterials.JADE);
    }

    private static void register(VPMaterials material) {
        Registry.register(Registry.ITEM, new Identifier("vplus", material.getName() + "_axe"), new AxeBase(material, new Item.Settings()));
        Registry.register(Registry.ITEM, new Identifier("vplus", material.getName() + "_hoe"), new HoeBase(material, new Item.Settings()));
        Registry.register(Registry.ITEM, new Identifier("vplus", material.getName() + "_pickaxe"), new PickaxeBase(material, new Item.Settings()));
        Registry.register(Registry.ITEM, new Identifier("vplus", material.getName() + "_shovel"), new ShovelBase(material, new Item.Settings()));
        Registry.register(Registry.ITEM, new Identifier("vplus", material.getName() + "_sword"), new SwordBase(material, new Item.Settings()));
    }

    public static void init() {}
}
